/* $Id$
 *
 * Copyright (c) 1999 Xenonsoft Limited. All Rights Reserved.
 *
 * This software is protected by copyright. You are hereby notified from
 * now by reading this message. This software is also the confidential 
 * and proprietary information of Xenonsoft Limited.  ("Confidential
 * Information"). 
 *
 * This software is distributed under the Xenonsoft Public end user 
 * License ("XPeL"), where the machine-readable source code is provided 
 * under the "Open Source" model.
 * For more information, please read the file "LICENSE-XPL.txt" 
 */

// File: `WaveTuple.java'

//
// Description:
//	Wave tuple  
//	  
// Author:
//	Peter Pilgrim
//	Sun Jun 20 16:46:58 BST 1999
//	  
// RCS HEADER 
// 
// $Author$
// $Date$
// $Source$
// $Revision$    $State$    $Locker$
//
// ================================================================================
// History
//	  $Log$
// 
// 
//

package xenon.soundkit.gui;

import xenon.soundkit.*;			// for SoundEngine, PPMCAudioPlayer

public class WaveTuple {
    protected String	name;
    protected String	javaInit;
    protected Wave	wave;
    
    public WaveTuple( String name, String javaInit, Wave wave )
    {
	this.name = name;
	this.javaInit = javaInit;
	this.wave = wave;
    }

    public String getName()
    {
	return (name);
    }

    public void setName( String newName )
    {
	name = newName;
    }
    
    public Wave getWave()
    {
	return (wave);
    }

    public void setWave( Wave newWave )
    {
	wave = newWave;
    }

    public String getJavaInitializationString()
    {
	return (javaInit);
    }

    public void setJavaInitializationString( String newJavaInit )
    {
	javaInit = newJavaInit;
    }
    
}

// fini
